<?php

namespace App\Models\Webprofile;

use App\Http\Traits\UuidTrait;
use App\Models\Webprofile\De\Design as DeDesign;
use App\Models\Webprofile\En\Design as EnDesign;
use App\Models\Webprofile\Sa\Design as SaDesign;
use App\Models\Webprofile\Zh\Design as ZhDesign;
use Illuminate\Database\Eloquent\Model;

class Design extends Model
{
    use UuidTrait;

    public $incrementing = false;
    protected $table = 'swp_design';

    protected $guarded = [];

    public function rEn()
    {
        return $this->hasOne(EnDesign::class, 'design_id', 'id');
    }

    public function rDe()
    {
        return $this->hasOne(DeDesign::class, 'design_id', 'id');
    }

    public function rSa()
    {
        return $this->hasOne(SaDesign::class, 'design_id', 'id');
    }

    public function rZh()
    {
        return $this->hasOne(ZhDesign::class, 'design_id', 'id');
    }
}
